<!-- https://v7.material.angular.io/components/table/examples -->


<div>
  <h1 style="text-decoration: underline">Performance Records</h1>

  <table mat-table [dataSource]="this.pageService.recordList"  class="mat-elevation-z8">

    <ng-container matColumnDef="_id">
      <th mat-header-cell *matHeaderCellDef> ID </th>
      <td mat-cell *matCellDef="let element"> {{element._id}} </td>
    </ng-container>

    <ng-container matColumnDef="year">
      <th mat-header-cell *matHeaderCellDef> Year </th>
      <td mat-cell *matCellDef="let element"> {{element.year}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selectRecord(row)" class="example-selectable-row"></tr>
  </table>
</div>
